---

Alias: [""]
Tag: [""]
Date: 11/08/2021
DocType:
Hierarchy: "Root"
TimeStamp:
CollapseMetaTable: Yes

---

Parent::

---

&emsp;

```button
name Create New Task
type note(New Task) template
action Template Task
id NewTask
```
^button-ProjectNewTask

```button
name Save
type command
action Save current file
id Save
```
^button-TMSave

&emsp;

# Task Master

&emsp;

```ad-abstract
title: Summary
collapse: open
This space centralises all tasks and to-dos in a specific folder.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Task list

&emsp;

```dataview
	table Priority, Status, NextReviewDate as "Next Review Date", DueDate as "Due Date" from "Life Organisation"
	where DocType = "Task"
	sort DueDate ascending, NextReviewDate ascending
```

&emsp;

#### Review overdue

```dataview
	table NextReviewDate as "Next Review Date" from "Life Organisation"
	where DocType = "Task" and NextReviewDate < date(today)
	sort NextReviewDate ascending
```

&emsp;

#### Delivery overdue

```dataview
	table DueDate as "Due Date" from "Life Organisation"
	where DocType = "Task" and DueDate < date(today)
	sort DueDate ascending
```

&emsp;

#### Priority tasks

```dataview
	Table Priority, DueDate as "Due Date" from "Life Organisation"
	Where DocType = "Task" and DueDate >= date(today) and Priority = "High"
	Sort DueDate ascending
```

&emsp;

---

&emsp;

### Todo list

&emsp;

**[[Template Task]]**

```tasks
not done
path includes Template
sort by due
hide backlink
hide task count
```

&emsp;

#### Overdue Todos

```dataview
	task from "Life Organisation"
	where DocType = "Task" and DueDate < date(today)
```

&emsp;

#### Urgent Todos

```dataview
	task from "Life Organisation"
	where DocType = "Task" and DueDate < date(today) + dur(3 days)
```

&emsp;

#### High priority

```dataview
	Task from "Life Organisation"
	Where DocType = "Task" and Priority = "High" and DueDate >= date(today)
```

&emsp;

#### Completed tasks

**[[Template Task]]**

```tasks
done
path includes Template
sort by due
hide backlink
hide task count
```

&emsp;
&emsp;