---

Alias: ["ComputerSetup", "Computer Setup"]
Tag: ["Admin", "Computer", "App", "Cloud"]
Date: 2021-08-10
DocType: "Personal"
Hierarchy: "Root"
CollapseMetaTable: Yes

---

Parent:: [[IT & Computer]]

---

&emsp;

```button
name Create New Note
type note(New Note) template
action Template Note
id NewNote
```
^button-ITNewNote

```button
name Create New Product
type note(New Product) template
action Template Product
id NewNote
```
^button-ITNewProduct

```button
name Create New Source
type note(New Source) template
action Template Source
id NewNote
```
^button-ITNewSource

```button
name Save
type command
action Save current file
id Save
```
^button-ComputerNMSave

&emsp;

# Computer Setup
&emsp;

```ad-abstract
title: Summary
collapse: open
This cluster of notes enables to navigate within my current computer set-up including hardware, apps, backups and syncing between devices.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Cluster Architecture

&emsp;

1. [[Storage and Syncing]]
2. [[Privacy & Security]]
3. [[Email & Communication]]
3. [[Applications]]
4. [[Apple processes]]
5. [[Internet services]]
6. [[Selfhosting|Self hosting]]

&emsp;

---

&emsp;

### Tag collection

&emsp;

```dataview
	Table without id tags from "Computer setup"
	flatten file.tags as tags
	group by tags
```

&emsp;

---

&emsp;

### TimeStamp

&emsp;

```dataview
	Table TimeStamp from "Computer setup"
	Where TimeStamp > date(today) - dur(100 years)
	Sort TimeStamp desc
```

&emsp;

---

&emsp;

### Overview of storage

&emsp;

![[Storage and Syncing#^CurrentHardStorage]]
![[Storage and Syncing#^CurrentCloudStorage]]

&emsp;

---

&emsp;

### Tasks & Further steps

&emsp;

**[[Applications]]**

```tasks
not done
path includes Applications
is not recurring
sort by due
hide backlink
hide task count
```

&emsp;

**[[Storage and Syncing|Storage & Sync]]**

```tasks
not done
path includes Storage
is not recurring
sort by due
hide backlink
hide task count
```

&emsp;

**[[Privacy & Security]]**

```tasks
not done
path includes Privacy
is not recurring
sort by due
hide backlink
hide task count
```

&emsp;

---

&emsp;

### Recurring tasks

&emsp;

**[[Applications]]**

```tasks
not done
path includes Applications
is recurring
sort by due
hide backlink
hide task count
```

&emsp;

**[[Storage and Syncing|Storage & Sync]]**

```tasks
not done
path includes Storage
is recurring
sort by due
hide backlink
hide task count
```

&emsp;

**[[Privacy & Security]]**

```tasks
not done
path includes Privacy
is recurring
sort by due
hide backlink
hide task count
```

&emsp;

---

&emsp;

### Granular actions

&emsp;

**[[Element]]**

```tasks
not done
path includes Element
sort by due
hide backlink
hide task count
```

&emsp;

**[[Git]]**

```tasks
not done
path includes Github
sort by due
hide backlink
hide task count
```

&emsp;

**[[iCloud]]**

```tasks
not done
path includes iCloud
sort by due
hide backlink
hide task count
```

&emsp;

**[[Nextcloud]]**

```tasks
not done
path includes Nextcloud
sort by due
hide backlink
hide task count
```

&emsp;

**[[SecureSafe]]**

```tasks
not done
path includes SecureSafe
sort by due
hide backlink
hide task count
```

&emsp;

**[[Sync]]**

```tasks
not done
path includes Sync
sort by due
hide backlink
hide task count
```

&emsp;

**[[Tesseract]]**

```tasks
not done
path includes Tesseract
sort by due
hide backlink
hide task count
```

&emsp;

**[[Tutanota]]**

```tasks
not done
path includes Tutanota
sort by due
hide backlink
hide task count
```

&emsp;

**[[VLC]]**

```tasks
not done
path includes VLC
sort by due
hide backlink
hide task count
```

&emsp;

**[[youtube-dl]]**

```tasks
not done
path includes youtube-dl
sort by due
hide backlink
hide task count
```

&emsp;

---

&emsp;

### Current Cost

&emsp;

![[Storage and Syncing#^StorageCost]]
![[Applications#^AppCost]]
![[Privacy & Security#^PSCost]]

<mark class="blue">_**Aggregation**_</mark> | One-off Cost | Subscription p.m.
--------|:------------:|:-----------------:
_**Total**_ | £106.54 | £66.55

&emsp;

---

&emsp;

### Product list

&emsp;

```dataview
	Table Product.Link as "Link", Product.Value as "Price Range" from "Computer setup"
	Where DocType = "Product"
	Sort file.name ascending
```

&emsp;
&emsp;