---

Tag: ["Admin", "Computer", "Privacy", "IM", "App", "Decentralised"]
Date: 2021-08-10
DocType: "Product"
Hierarchy: "NonRoot"
TimeStamp:
Product:
 Type: "IT"
 Link: "https://element.io"
 Value: "Budget"

---

Parent:: [[Applications]], [[Email & Communication]], [[Privacy & Security]]

---

&emsp;

```button
name Edit Product parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-ElementIOMDEdit

```button
name Save
type command
action Save current file
id Save
```
^button-ElementIOSave

&emsp;

# Element

&emsp;

```ad-abstract
title: Summary
collapse: open
Element is a peer-to-peer encrypted IM App supporting Messaging, Audio and Video calls among two users or in groups. It allows for 'Spaces' as well and is structured a little like Discord with a layer of encryption on top.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Characteristics

&emsp;

Criteria | Rating | Observation
---------|-------- | -----------
_**Security**_ | <mark style="background:green">strong</mark> | No known attack or vulnerability; selected by public bodies
_**Privacy**_ | <mark style="background:green">strong</mark> | E2EE, 0-k; metadata known to be public, however
_**Service Integration**_ | <mark style="background:green">strong</mark> | Integration with most prevailing IM Apps
_**User Exp**_ | <mark style="background:yellow;color:black">average</mark> | Easy-to-use service on a stand-alone basis
_**Pricing**_ | <mark style="background:green">strong</mark> | Free tier & paid tier within the market

&emsp;

---

&emsp;

### Structure

&emsp;

This section covers an overview of the structure of the service.

&emsp;

#### Protocol

The protocol is developed by [matrix.org](https://matrix.org), a fundation based in the United Kingdom.
Element is a client based on the protocol. There are a few other Clients available.

&emsp;

#### Host
Being Privacy-aware, Element offers the option to [[Selfhosting|self-host]] an instance of their Chat or rent space on their server.

&emsp;

#### Client
Element is the most user-friendly Client to access the Matrix protocol, having been selected to be forked by the [French government](https://www.element.io/case-studies/tchap) for their Public Servants, the [German Army](https://element.io/blog/bwmessenger-goes-live-for-bundeswehr/) and the [German Health system](https://discussions.app/t/ElementIO) as a secure IM Client.

&emsp;

#### Bridges
Matrix.org benefits from an environment of developpers who have created bridges between the protocol and popular IM Apps:
1. iMessanges for iPhone
2. Whatsapp
3. Signal
4. Telegram
5. Slack

&emsp;

---

&emsp;

### Pricing

&emsp;

[Element pricing page](https://element.io/pricing)

&emsp;

Tier | Price p.m. | Features
----|:------------: | ------
Free | Free | Unlimited 121 & group chats; access to open Matrix network
Home | $10 | Free + dedicated server space; 5 users; server whitelabelling

&emsp;

---

&emsp;

### Further steps

&emsp;

- [ ] [[Element]]: Implement 'Home' with bridges to retire iMessages, Whatsapp & Signal
- [x] [[Selfhosting|Self-host]] an instance of Element ✅ 2021-09-14

&emsp;

---

&emsp;

### Documentation

&emsp;

```ad-tip
title: Installation guides
[Synapse, Matrix homeserver](https://matrix.org/docs/guides/installing-synapse)

[Install tutorial](https://cyberhost.uk/element-matrix-setup/)
[Alternative titorial](https://theselfhostingblog.com/posts/self-hosting-your-own-matrix-server-on-a-raspberry-pi/)
```

&emsp;

_**Bridges**_
[Whatsapp bridge](https://matrix.org/docs/guides/whatsapp-bridging-mautrix-whatsapp)
[Signal bridge](https://github.com/tulir/mautrix-signal/blob/master/README.md)
[Telegram bridge](https://github.com/tulir/mautrix-telegram)
[iMessage bridge](https://github.com/matrix-hacks/matrix-puppet-imessage/blob/master/README.md)

&emsp;
&emsp;