---

Tag: ["Admin", "Computer", "Privacy", "Cloud"]
Date: 2021-08-10
DocType: "Product"
Hierarchy: "NonRoot"
TimeStamp:
Product:
 Type: "IT"
 Link: "https://nextcloud.com"
 Value: "Average"

---

Parent:: [[Storage and Syncing]], [[Server Cloud]]

---

&emsp;

```button
name Edit Product parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-NextcloudMDEdit

```button
name Save
type command
action Save current file
id Save
```
^button-NextCloudSave

&emsp;

# NextCloud

&emsp;

```ad-abstract
title: Summary
collapse: open
Overview of NextCloud, secure and private Cloud & devices-synchronisation service
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Characteristics

&emsp;

Criteria | Rating | Observation
---------|-------- | -----------
_**Security**_ | <mark style="background:green">strong</mark> | App/Service-specific PWs, No known attack or vulnerability; long-standing service
_**Privacy**_ | <mark style="background:green">strong</mark> | E2EE, 0-k
_**Service Integration**_ | <mark style="background:green">strong</mark> | WebDAV + native Apps
_**User Exp**_ | <mark style="background:yellow;color:black">average</mark> | Easy-to-use service but syncing can be buggy
_**Pricing**_ | <mark style="background:yellow;color:black">average</mark> | Within market rate

&emsp;

---

&emsp;


### Structure and usage

&emsp;

NextCloud is a Cloud Management solution with integrated Apps that aims at managing and syncing a vast array of data between connected devices. This section gives an overview of the structure of the service.

&emsp;

#### Host

NextCloud needs to be hosted on a server with two options available:
1. Rent space with a service provider
2. [[Selfhosting|Self-host]] (Server, Raspberry Pi, NAS)

I selected to rent space with [tab.digital](https://tab.digital)

&emsp;

#### Services

NextCloud offers various services in what they called Apps, similar to Phone Apps:
1. Mail
2. Calendar
3. Contact Management
4. Photo
5. Music
6. Notes
7. Password Management

As well as a wide array of other apps available [here](https://apps.nextcloud.com/)

In addition, NextCloud support End-2-End Encryption.

&emsp;

---

&emsp;

### Setup

&emsp;

As of today, the services I have set up are described below.

&emsp;

#### Contacts (CardDAV)

_App-specific password (per device)_
Activated
&emsp;
_CardDAV Account_:
`server.address/remote.php/dav/principals/users/USERNAME/`

&emsp;

#### Pictures
From within the NextCloud iOS App: 'auto-upload Pictures from Camera Roll'.

&emsp;

#### Music (WebDAV)

_App-specific password (per device)_:
Activated
&emsp;
_WebDAV Account_:
`https://server.address/remote.php/dav/files/username/`

&emsp;

#### E2E Encryption
Activated

&emsp;

---

&emsp;

### Pricing

&emsp;

[NextCloud/tab.digital pricing page](https://cloud.tab.digital/pricing)

&emsp;

Storage space | price p.m.
:---------------:|:----------------:
_**8G**_ | Free
_**32G**_ | €1.95
_**128G**_ | €4.95

&emsp;

---

&emsp;

### Further steps

&emsp;

- [x] [[Selfhosting|Self-host]] server instance
- [x] Explore native NextCloud Apps
- [x] [[Nextcloud]]: Transfer NetNewsWire to NC ✅ 2021-09-15

&emsp;
&emsp;