---

Alias: ["Privacy"]
Tag: ["Admin", "Computer", "Security", "Privacy"]
Date: 2021-08-10
DocType: "Personal"
Hierarchy: "Root2"
TimeStamp: 2021-08-10
CollapseMetaTable: Yes

---

Parent:: [[@Computer Set Up|Computer Setup]]

---

&emsp;

```button
name Save
type command
action Save current file
id Save
```
^button-PSITSave

&emsp;

# Privacy & Security

&emsp;

```ad-abstract
title: Summary
collapse: open
Review of different services used for managing privacy and security online.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Storage & Data

&emsp;

Moving away from [[iCloud]] and using a combination of [[SecureSafe]], [[Sync]] and [[Nextcloud]] enables to secure data in transit and in storage.

&emsp;

---

&emsp;

### Communication

&emsp;

#### Mail

Securing [[Email & Communication|emails]] take two main forms:

1. Encryption modules for generically available mailboxes (i.e. GPG protocol)

2. Dedicated services embedding encryption and privacy policies such as [[Tutanota]]

In addition, to protect mailboxes online, a email alias provider can be used. [SimpleLogin](https://simplelogin.io), a French tech, allows this easily and gives the option to [[Server Alias|self host]].

&emsp;

#### IM Apps

[[Element]] is a peer-to-peer application enabling encryption and bridging other communication apps & protocols.
Other IM services based on Blockchain are currently emerging but are not mature enough to be used widely.


&emsp;

#### Phone number

```ad-info
[Crypton](https://crypton.sh/)
```

&emsp;

---

&emsp;

### Internet

&emsp;

This section provides an overview on the management of various security features of the Internet: threats & viruses, ads/tracker, password management and 2F authentication.

&emsp;

#### AntiVirus

Two different ways to identify viruses:
1. [Intego](https://www.intego.com/) for Mac (and iOS)
2. [iVerify](https://apps.apple.com/us/app/iverify-secure-your-phone/id1466120520) for residual scans

&emsp;

#### Ad/Tracker Block
Using a DNS reaolver embedding filters for blocking known ad/tracker traffic: [NextDNS](https://nextdns.io/)

&emsp;

#### Password Manager
Free and Open Source Software (FOSS): [BitWarden](https://bitwarden.com/)

&emsp;

#### TOTP Manager
FOSS: [Authy](https://authy.com/)

&emsp;

#### Internet threats
Scan for signs of past [[Threats and Intrusions]].

&emsp;

---

&emsp;

### Current Cost

&emsp;

Source | One-off cost | Current Cost p.m.
--------|:------------:|:----------------:
_**Intego**_ | | £5.67
_**iVerify**_ | £2.99 |

&emsp;

<mark class="green">Privacy & Security</mark> | One-off Cost | Subscription p.m.
--------|:------------:|:----------------:
_**Total**_ | £2.99 | £5.67
^PSCost

&emsp;

---

&emsp;

### Further Steps

&emsp;

- [x] Host lebv.org emails on secure server ([[Tutanota]] or else)
- [ ]  [[Selfhosting|self-hosting]]:
	- [ ]  an instance of [[Element]]
	- [x] an instance of [[Nextcloud]] ✅ 2021-09-14
	- [x] an instance of [SimpleLogin](https://simplelogin.io) ✅ 2021-09-14

&emsp;
&emsp;