---

Alias: ["Storage & Sync"]
Tag: ["Admin", "Computer", "Cloud", "Privacy"]
Date: 2021-08-10
DocType: "Personal"
Hierarchy: "Root2"
TimeStamp: 2021-08-12
CollapseMetaTable: Yes

---

Parent:: [[@Computer Set Up|Computer Setup]]

---

&emsp;

```button
name Save
type command
action Save current file
id Save
```
^button-ITStorageSave

&emsp;

# Storage & Syncing

&emsp;

```ad-abstract
title: Summary
collapse: open
Overview of available storage and current devices syncing.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

## Hard Storage

&emsp;

### Overview

&emsp;

Drive name | Available space | Current usage
-----------------|:------------------:|:---------------:
_**Computer**_ | _121G_ | _60.3G_
_**Computer - MacintoshHD**_ | | _60.2G_
_**Computer - Folder Vault**_ | | _164M_
_**Toshiba Drive**_ | _3T_ | _125.3G_
_**TD - External Drive**_ | _2.25T_ | _53.6G_
_**TD - Backup**_ | _250G_ | _15.2G_
_**TD - Bootable Disk**_ | _500G_ | _56.5G_
_**Phone**_ | _128G_ | _25.7G_

<mark class="green">Hard storage</mark> | Available space | Current usage
-----------------|:------------------:|:---------------:
_**Total storage**_ | _3.25T_ | _211.3G_
^CurrentHardStorage

&emsp;
&emsp;

### Usage
&emsp;

Drive Name | Usage
------------|---------
_**MacintoshHD**_ | Mac [[Applications]] & temporary files
_**Folder Vault**_ | Personal data, Cloud admin
_**External Drive**_ | Documemts, Music, Videos, Pictures
_**Backup**_ | iPhone backup
_**Bootable Disk**_ | Bootable replication of MacintoshHD ([[Applications]], Mac system)
_**Phone**_ | Phone [[Applications]], Local storage (Documents, Photos, Videos, Music)

&emsp;

---

&emsp;

## Cloud Storage

&emsp;

### Overview

&emsp;

Service name | Available space | Current usage
-----------------|:------------------:|:---------------:
_**[[iCloud]]**_ | _5G_ | _3.7G_
_**[[Nextcloud]]**_ | _32G_ | _14.8G_
_**[[Sync]]**_ | _2T_ | _79.3G_
_**[[SecureSafe]]**_ | _1G_ | _190M_

<mark class="green">Cloud Storage</mark> | Available space | Current usage
-----------------|:------------------:|:---------------:
_**Total storage**_ | _2.04T_ | _98G_
^CurrentCloudStorage

&emsp;
&emsp;

### Usage
&emsp;

Drive Name | Usage
------------|---------
_**[[iCloud]]**_ | Mandatory iPhone data & app backup & sync
_**[[Nextcloud]]**_ | Cross-device syncing of Contacts, Pictures, Music, Documents
_**[[Sync]]**_ | Backup of External Drive
_**[[SecureSafe]]**_ | Backup of Personal Data

&emsp;
&emsp;

### Current cost
&emsp;

Cloud Service | One-off Cost |  Subscription p.m.
--------------|:---:|:---------:
_**[[SecureSafe]]**_ | &emsp; | €1.49
_**[[Nextcloud]]**_ | &emsp; |€1.56
_**[[Sync]]**_ | &emsp; |€6.9


<mark class="green">Storage</mark> | One-off Cost | Subscription p.m.
--------------|:-------:|:---------------:
_**Total**_ | | €9.95
^StorageCost

&emsp;

---

&emsp;

## Syncing and manual backup

&emsp;

### Syncing

&emsp;

See [[Applications]] for [[iCloud]] syncing. [[Nextcloud]] is otherwise used.
For Obsidian in particular [GitHub](https://github.com) is used in coordination with Working Copy (iOS App). Find [[Git|here]] a collection of scripts to power Github sync on mobile and desktop.

&emsp;

### Manual backup

&emsp;

The following Apps require a manual backup:

- [ ] Backup [[Storage and Syncing#Instructions for Bear|Bear App]] (PC & iOS) 🔁 every 3 months on the 1st Thursday
- [ ] Backup Standard Notes (PC) 🔁 every 3 months on the 1st Friday
- [ ] Backup [[Storage and Syncing#Instructions for Anchor|Anchor Wallet]] 🔁 every 3 months on the 1st Thursday
- [ ] Backup [[Storage and Syncing#Instructions for iPhone|iPhone]] 🔁 every 3 months on the 2nd Tuesday
- [ ] Backup [[Storage and Syncing#Instructions for FV|Folder Vault]] 🔁 every 3 months on the 1st Friday
- [ ] Backup Volumes to [[Sync|Sync.com]] 🔁 every 3 months on the 2nd Monday 📅 2021-09-16
- [x] Backup Volumes to [[Sync|Sync.com]] 🔁 every 3 months on the 2nd Monday ✅ 2021-09-15
- [ ] Transfer pictures to ED 🔁 every 3 months on the 2nd Thursday

&emsp;

#### Instructions for Bear
manual backup from App to ED/[[Sync]]

&emsp;

#### Instructions for Anchor
manual backup from App to FV/[[SecureSafe]]

&emsp;

#### Instructions for iPhone
manual backup from PC location (`/Users/mel/Library/Application Support/MobileSync/Backup`) to Backup drive

&emsp;

#### Instructions for FV
manual Backup to [[SecureSafe]]

&emsp;

---

&emsp;

## Further steps

&emsp;

- [x] [[Selfhosting|Self-host]] E2EE Cloud instance: [[Nextcloud]], [[Sync]] or other
- [x] Migrate Apps using [[iCloud]] away ✅ 2021-09-14

&emsp;
&emsp;