---

Alias: ["Investment Master"]
Tag: ["Wealth", "Investment", "Equity", "VC", "Crypto"]
Date: 2021-08-17
DocType: "Confidential"
Hierarchy: "Root"
location: [51.514678599999996,-0.18378583926867909]
CollapseMetaTable: Yes

---

Parent:: [[Finances]]

---

&emsp;

```button
name Create New Note
type note(New Note) template
action Template Note
id NewNote
```
^button-InvtNewNote

```button
name Create New Investment
type note(New Investment) template
action Template Investment
id NewNote
```
^button-InvNewInvestment

```button
name Save
type command
action Save current file
id Save
```
^button-InvMSave

&emsp;

# Investments map
&emsp;

```ad-abstract
title: Summary
collapse: open
This note enables to navigate in the Admin section and find any Note in this Vault by Note or Tag.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Cluster Architecture

&emsp;

1. [[Equity Investments]]
2. [[VC Investments]]
3. [[Crypto Investments]]

&emsp;

---

&emsp;

### Master Navigation

&emsp;

```dataview
	Table Date as "Creation Date" from "Investments"
	Sort file.name ascending
```
&emsp;

---

&emsp;

### Tag Navigation
&emsp;

```dataview
	Table without id tags as "Tags" From "Investments"
	Flatten file.tags as tags
	Group by tags
```

&emsp;

---

&emsp;

### TimeStamp check
&emsp;

```dataview
	Table TimeStamp as "Time Stamp" from "Investments"
	Where TimeStamp > date(today) - dur(100 years)
	Sort TimeStamp ascending
```

&emsp;

---

&emsp;

### High Level Investment monitor

&emsp;

1. [[Crypto Investments#Crypto investment monitor|Crypto]]
2. [[Equity Investments#Equity investment monitor|Equity]]
3. [[VC Investments#VC Investment monitor|VC]]

&emsp;

---

&emsp;

### Costs

&emsp;


<mark class="blue">_**Aggregation**_</mark> | One-off Cost | Subscription p.m.
--------|:------------:|:-----------------:
_**Total**_ | £0 | £0


&emsp;
&emsp;