---

Alias: ["EOSIO", "EOS.io"]
Tag: ["Wealth", "Investment", "Crypto", "Blockchain", "Infrastructure", "ESG"]
Date: 2021-08-17
DocType: "Investment"
Hierarchy: "NonRoot"
TimeStamp: 2021-08-17
location: [19.2953549, -81.3807776]
Investment:
 Type: "Crypto"
 Style: "Growth"
 Stage: "Early"
 Ccy: USD
Trading:
 PDate: 2021-03-06
 PPrice: 4.57

---

Parent:: [[Crypto Investments|Crypto Investment]]

---

&emsp;

```button
name Edit Investment parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-EOSInvEdit

```button
name Save
type command
action Save current file
id Save
```
^button-EOSInvSave

&emsp;

# EOS

&emsp;

```ad-abstract
title: Summary
collapse: open
EOS is a Blockchain technology from EOS.IO and BlockOne that aims at being more powerful and less power-hungry than competitors and foregoers (Bitcoin, Ethereum).
The technology also offers significant advantages: 
1. No 'transaction costs' when computing, instead network 'RAM' is bought at outset
2. Highly scalable: increased activity does not clog the network due to different decision-making structure to competitors
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Investment thesis

&emsp;

Alternative to ETH with two clear advantages: scalability and no transaction fees.
The token's value will evolve with users purchasing RAM access and therefore offers a modest but (hopefully) steady growth of value.
Currently, the project is undervalued due to a few communication mishaps:
1. the involvement of Block.One with the future of EOS,
2. the predominence of Chinese block producers and
3. the overall governance structure of block producers & development projects. 

The technology itself remains state-of-the-art, has a huge real-world potential and consumes a fraction of the electrical power BTC or ETH require.

&emsp;

---

&emsp;

### Risk profile

&emsp;

<mark style="background:green">Low risk</mark>
Lower risk token due to its structural undervaluation. This has been illustrated by a relatively stable price in Q2 2021 when 'hotcoins' sold off aggressively due to increased scrutiny from local regulators world-wide.
The ecosystem is not fully in place and lacks a palatable DeFi proposition but developpers are remediating this.
This Blockchain remains the most likely to compete with and overtake ETH in the mid- to long-term.
It is also the first Blockchain technology to advertise a 'Carbon-Neutral' footprint.

&emsp;

---

&emsp;

### Tokenomics

&emsp;

EOS is the utility token powering the mainnet. It is used to 'buy' RAM on the blockchain, by buying EOS. Each individual or instance receive RAM priority in accordance to the number of tokens they hold.
EOS can be staked in the PowerUp functionality by which users with no need for RAM can lend their bandwidth space to pther users with punctual needs.

&emsp;

### News & corporate activity

&emsp;

#### Current pipeline

- [ ] Launch of IM capability: ClarionOS
- [x] Launch of governance framework: EdenOS
- [ ] Launch of Bullish (Crypto-exchange for professionals) - aiming to become the Bloomberg of crypto-assets
- [x]  Launch of Social/Creative platform (Voice)
- [x] Launch of refined RAM management for users (PowerUp)

&emsp;

#### Use cases

```timeline
+ July 2021
+ JPM & Blackrock announce they will use Bullish
+ JPM and Blackrock announce that their in-house crypto trading desks will use Bullish as their trading interface
+ April 2021
+ Cross-border payment by Citi
+ Citigroup announces the use of EOS to decentralise their cross-border payment activity
+ end 2020
+ Google Cloud
+ Google announces a partnership with EOS to decentralise their Cloud service
+ late 2019
+ dBond by DB
+ DB launches a blockchain tokenised bond on EOS


```

&emsp;

---

&emsp;

### Further steps

&emsp;

Further steps are captured in the [[Crypto Tasks|Crypto task list]]

&emsp;
&emsp;