---

Alias: ["Enjin (ENJ)", "ENJ"]
Tag: ["Wealth", "Investment", "Crypto", "NFT", "Gaming", "ESG"]
Date: 2021-08-17
DocType: "Investment"
Hierarchy: "NonRoot"
TimeStamp: 2021-08-17
location: [1.2813384, 103.85091665]
Investment:
 Type: "Crypto"
 Style: "Growth"
 Stage: "Early"
 Ccy: USD
Trading:
 PDate: 2021-03-08
 PPrice: 1.9

---

Parent:: [[Crypto Investments|Crypto Investment]]

---

&emsp;

```button
name Edit Investment parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-EnjinInvEdit

```button
name Save
type command
action Save current file
id Save
```
^button-EnjinInvSave

&emsp;

# Enjin

&emsp;

```ad-abstract
title: Summary
collapse: open
Enjin is a Japanese NFT platform aiming primarily at enhancing gamers' pay-to-play experience. The firm is migrating in-game paid objects and artefacts onto their proprietary blockchain to port those across games. Their technology leans on Polkadot to be able to be chain-agnostic and they are avle to reach games on desktop, phones and consoles.
A gamer should, in the future, be able to buy a sword or another artefact in a specific game and use it in another one through a bridge powered by Enjin.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Investment thesis

&emsp;

Early player in the Non-Fungible Token (NFT) space for video games, Enjin, from Japan, is building an enironment for cross-portability of NFT applied to games, enterprise solutions and collectibles in general.
Gamers are possibly the most likely population to mass-adopt the concept of NFT beyond art. Enjin is well-positionnee to grow meaningfully in this space.
In addition, Enjin is now a member of the Un Global Compact and has committed to remain ESG-compliant.

&emsp;

---

&emsp;

### Risk profile

&emsp;

<mark style="background:orange">High risk</mark>
Adoption and competition risk are high; even higher since NFT have made the headlines in early 2021.

&emsp;

---

&emsp;

### Tokenomics

&emsp;

The ENJ token represents the utility token of Enjin, which primary aim is to mint NFTs for gaming and artistic purposes. Circulation and availability is deemed to decrease as that token represents the reserve value of each NFT minted.
Enjin also offers JENJ, the utility token of Jumpnet and EFI, the utility token of Efinity, Enjin's cross-chain solution to ensure portability of its NFTs across blockchains, based on [[Polkadot]].
Today, ENJ cannot be staked natively but finctionality to stake is being developed to increase attractivity of that token.

&emsp;

---

&emsp;

### News & corporate activity

&emsp;

#### Current pipeline

- [ ] Launch of Enterprise solutions
- [ ] Launch of Wallet 2.0
- [ ] Launch of their [NFT platform](https://nft.io)
- [x] Launch of Efinity (2021-06-24)
- [x] Launch of Jumpnet (2021-06-02)

&emsp;

#### Innovation

1. Portability of game artefacts cross-games
2. Signatory of UN Global Compact
3. Full NFT environment

&emsp;

#### Partnerships

Current announced partnerships:
1. <mark class="blue">Microsoft</mark>: Partnership on Enterprise solution
2. <mark class="blue">Playstation</mark>: Partnership to integrate NFT artefacts
3. <mark class="blue">Xbox</mark>: Partnership to integrate NFT artefacts

&emsp;

---

&emsp;

### Further steps

&emsp;

Further steps are captured in the [[Crypto Tasks|Crypto task list]]

&emsp;
&emsp;