---

Alias: ["Life Orga", "Life Hacks"]
Tag: ["Admin", "Life","Goals"]
Date: 2021-08-12
DocType: "Personal"
Hierarchy: "Root"
TimeStamp: 2021-08-12
location: [51.514678599999996, -0.18378583926867909]
CollapseMetaTable: Yes

---

&emsp;

```button
name Create New Task
type note(New Task) template
action Template Task
id NewTask
```
^button-LifeOrgaNewTask

```button
name Save
type command
action Save current file
```
^button-LifeOrgaSave

&emsp;

# Life Organisation 

&emsp;

```ad-abstract
title: Summary
collapse: open
This space centralises all tasks and to-dos!
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Task list

&emsp;

```dataview
	table Priority, Status, NextReviewDate as "Next Review Date", DueDate as "Due Date" from "Life Orga"
	where DocType = "Task"
	sort DueDate ascending, NextReviewDate ascending
```

&emsp;

#### Review overdue

```dataview
	table NextReviewDate as "Next Review Date" from "Life Orga"
	where DocType = "Task" and NextReviewDate < date(today)
	sort NextReviewDate ascending
```

&emsp;

#### Delivery overdue

```dataview
	table DueDate as "Due Date" from "Life Orga"
	where DocType = "Task" and DueDate < date(today)
	sort DueDate ascending
```

&emsp;

#### Priority tasks

```dataview
	Table Priority, DueDate as "Due Date" from "Life Orga"
	Where DocType = "Task" and DueDate >= date(today) and Priority = "High"
	Sort DueDate ascending
```

&emsp;

---

&emsp;

### Todo list

&emsp;

**[[Life Admin]]**

```tasks
not done
path includes Life Admin
sort by due
hide backlink
hide task count
```

&emsp;

**[[Personal projects]]**

```tasks
not done
path includes Personal projects
sort by due
hide backlink
hide task count
```

&emsp;

**[[Lifestyle]]**

```tasks
not done
path includes lifestyle
sort by due
hide backlink
hide task count
```

&emsp;

**[[IT & Computer]]**

```tasks
not done
path includes IT & Computer
sort by due
hide backlink
hide task count
```

&emsp;

**[[Finances]]**

```tasks
not done
path includes Finance
sort by due
hide backlink
hide task count
```

&emsp;

#### Overdue Todos

```dataview
	task from "Life Orga"
	where DocType = "Task" and DueDate < date(today)
```

&emsp;

#### Urgent Todos

```dataview
	task from "Life Orga"
	where DocType = "Task" and DueDate < date(today) + dur(3 days)
```

&emsp;

#### High priority

```dataview
	Task from "Life Orga"
	Where DocType = "Task" and Priority = "High" and DueDate >= date(today)
```

&emsp;

#### Closed To-dos

**[[Life Admin]]**

```tasks
done
path includes Life Admin
sort by due
hide backlink
hide task count
```

&emsp;

**[[Personal projects]]**

```tasks
done
path includes Personal projects
sort by due
hide backlink
hide task count
```

&emsp;

**[[Lifestyle]]**

```tasks
done
path includes Lifestyle
sort by due
hide backlink
hide task count
```

&emsp;

**[[IT & Computer]]**

```tasks
done
path includes IT & Computer
sort by due
hide backlink
hide task count
```

&emsp;

**[[Finances]]**

```tasks
done
path includes Finances
sort by due
hide backlink
hide task count
```

&emsp;
&emsp;

