---

Tag: ["Computer", "Web", "Networks", "Domain"]
Date: 2021-09-01
DocType: "Personal"
Hierarchy: "Root2"
TimeStamp:
location: [48.8570517, 2.3677354]
CollapseMetaTable: Yes

---

Parent:: [[@Networks|Networks]]

---


&emsp;

```button
name Save
type command
action Save current file
id Save
```
^button-DomainSave

&emsp;

# Domains

&emsp;

```ad-abstract
title: Summary
collapse: open
Keeping track of different domains owned
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Description

&emsp;

| Domain name | Services | Description
|---------------|----------|------------
| **[[@lebv.org\|lebv.org]]** | Email & family archive | family email service; family archive website
| <p style="color:cyan">**lebastart.fr**</p> | Email | Secure email service ([[Tutanota]])
| **[[mfxm Website Scope\|mfxm.fr]]** | [[Selfhosting\|Self-hosting]] Tools | [[NextCloud]], [[Server Alias\|Email Alias]], [[mfxm Website Scope#URL Shortening\|URL Shortening]]

&emsp;

---

&emsp;

### Architecture

&emsp;

#### lebv.org org chart
![[lebv.org.jpg]]

&emsp;

#### lebastart.fr org chart
![[lebastart.fr.jpg]]

&emsp;

#### mfxm.fr org chart
![[mfxm.fr.jpg]]

&emsp;

---

&emsp;

### Security

&emsp;

```ad-info
title: Applies to the following domains
1. **lebv.org**
2. **mfxm.fr**
```

HTTP Strict Transport Security (HSTS) can only be implemented at domain-level and can apply to all sub-domains. [Here](https://www.inmotionhosting.com/support/website/force-hsts-using-htaccess/) a tutorial can be found.

Subsequently, HSTS Preload requests need to be filled with [this organisation](https://hstspreload.org/).

- [x] [[Domains]]: monitor hsts preloading ✅ 2021-09-20


```ad-warning
title: SSL certificate
The SSL certificate of all domain & sub-domains must be valid for HSTS to work properly. Force auto-renew of certificates obtained via Let's Encrypt or other such authorities.
```

&emsp;

---


&emsp;

### Pricing

&emsp;

| Service | One-off Cost | Subscription p.a.
|--------|:------------:|:---------------:
| **[[@lebv.org\|lebv.org]]** | &emsp; | *€27.17*
| <p style="color:cyan">**lebastart.fr**</p> | &emsp; | free
| <p style="color:orange">**mfxm.fr**</p> | &emsp; | *€7.99*

| <mark class="green">Domains</mark> | One-off Cost | Subscription p.a.
|--------|:------------:|:---------------:
| _**Total**_ | &emsp; | *€35.16*
^DomainCost

&emsp;
&emsp;