---

Alias: ["Email Alias"]
Tag: ["Server", "App", "Cloud", "Privacy", "Security", "Web"]
Date: 2021-08-28
DocType: "Server"
Hierarchy: "NonRoot"
location: [48.8570517, 2.3677354]
Performance:
 CPU: 1Core
 RAM: 2GB
 Bandwidth: 2TB
 Speed: 100MBps
Characteristics:
 OS: Ubuntu 20.04
 Domiciliation: NL
 Host: Hostigger
 IPv4: 5.181.166.123
 Hostname: 1630136610
 SubDomain: emailalias
Disk:
 Capa: 20GB
 Type: SSD
 UsedSpace: 45%
 TimeStamp: 2021-09-27

---

Parent:: [[mfxm Website Scope|mfxm.fr]], [[Email & Communication]]

---

&emsp;

```button
name Edit Server parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-EAServerEdit

```button
name Save
type command
action Save current file
id Save
```
^button-EAServerSave

&emsp;

# Email Alias Server

&emsp;

```ad-abstract
title: Summary
collapse: open
Quick note to centralise all relevant info on the server hosting the email aliasing service.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Server parameters

&emsp;

```ad-quote
title: Dashboard access
[https://clients.hostiger.com/clientarea](https://clients.hostiger.com/clientarea)
```

&emsp;

```ad-quote
title: Address
The service will be located under **[emailalias.mfxm.fr](https://emailalias.mfxm.fr)** .
```

&emsp;

---

&emsp;

### Service

&emsp;

```ad-abstract
title: Service description
The Email Alias service itself is called [SimpleLogin](https://simplelogin.io/) and is an open-source software enabling to create email aliases.
```

&emsp;

#### Installed dependencies

All dependencies for running the alias service.

&emsp;

##### Security

| Program name | Type | Description
|----------------|------|-------------
| **fail2ban** | Deamon | Blocks suspicious attempts to login
| **unattended-upgrades** | Program | Enables automatic updates of installed programs and OS
| **logwatch** | Deamon | Monitors activity on server and sends activity logs

&emsp;

##### Docker

```ad-warning
title: Docker for non root users
[[Docker config|docker]] predominantly works for the root user. In order to let non-root users instruct Docker, users need to be added to the Docker group:

`sudo usermod -aG docker (username)`

Potentially, the Docker group needs to be defined:

`sudo groupadd docker`
```

Currently running [[Configuring Docker|docker]] containers

```ad-bug
title: sl-network
7c0268d5066a4bda05abb193772b0c0bcb480a0a55cf8772bca76272b74e8148
```

```ad-bug
title: sl-db
e4335360528e6f091efda49e75a27ab638277dc8107e45062780119d19a530cd
```

```ad-bug
title: sl-app
d4d7fefc710670312ae5e529d39537a6b93d58ff1af63219054c209d4b1179a6
```

```ad-bug
title: sl-email
39dbdb260763fec2a2b138d000f2ded9fe61c8ed5857cc9ef2823b0f7fb62913
```

&emsp;

##### Nginx

Webserver. No particular setup apart from Certificate & pointing towards the sub-domain.

&emsp;

##### CertBot

All documentation in this [link](https://certbot.eff.org).

&emsp;

##### Postfix

Mail Transfer Agent. [[Configuring Postfix|Configuration]] is tailor-made by SimpleLogin to fit their needs.

&emsp;

#### Server-side Monitoring

Refer to the [[Configuring Monit|monit section]] for further information on installation and configuration.

List of monitored services:
- System
- SSH
- Fail2ban
- cron
- Postfix
- nginx
- docker
	- Postgres
	- sl-app
	- sl-email

&emsp;

#### Troubleshooting

&emsp;

##### DNS issues

```ad-info
title: Server pointing
The Email Alias service itself is called [SimpleLogin](https://simplelogin.io/) and is an open-source software enabling to create email aliases.
```

&emsp;

##### Documentation for SimpleLogin

```ad-warning
title: Troubleshooting SimpleLogin
Troubleshooting for [SimpleLogin](https://github.com/simple-login/app) and its parametrisation can be found [here](https://github.com/simple-login/app/blob/master/docs/troubleshooting.md) and [here](https://github.com/simple-login/app/blob/master/example.env)
```

&emsp;

##### CertBot

```ad-warning
title: Troubleshooting CertBot
Running and troubleshooting for CertBot can be found [here](https://certbot.eff.org/docs/install.html)
```

&emsp;

#### Service management

The service itself does not require particular management as all features are embedded in the client interface running from the docker container 'sl-app', including user management.
Parameters can only be amended through the config file under the root user:

`sudo vim ~/simplelogin.env`

Sample configs can be found [here](https://github.com/simple-login/app/blob/master/example.env)

Once the change is made, restart the app container:

`docker restart sl-app`

&emsp;

---

&emsp;

### Pricing

&emsp;

<mark class="green">Alias Server</mark> | One-off cost | Recurring subscription p.a.
--------|---------------|:----------------------:
<p style="color:cyan">**Server hosting**</p> | &emsp; | *$20*
^AliasServerCost

&emsp;

---

&emsp;

### Tasks & Further steps

&emsp;

- [ ] [[Server Alias]]: Backup server 🔁 every 6 months on the 1st Tuesday 📅 2021-09-15
- [x] [[Server Alias]]: Backup server 🔁 every 6 months on the 1st Tuesday ✅ 2021-09-14
- [x]  Understand why Gmail does not work

&emsp;
&emsp;