---

Alias: ["lebv.org Tasks"]
Tag: ["Family", "Web", "lebv", "Archive", "Email", "Website"]
Date: 2021-08-12
DocType: "Project"
Hierarchy: "Root"
TimeStamp:
location: [51.514678599999996, -0.18378583926867909]
CollapseMetaTable: Yes

---

Parent:: [[@lebv.org|lebv.org]], [[Personal projects]], [[IT & Computer]]

---

&emsp;

```button
name Create New Task
type note(New Task) template
action Template Task
id NewTask
```
^button-lebvNewTask

```button
name Save
type command
action Save current file
id Save
```
^button-lebvTMSave

&emsp;

# Task Master for lebv.org

&emsp;

```ad-abstract
title: Summary
collapse: open
This space centralises all tasks and to-dos in a specific folder.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Task list

&emsp;

```dataview
	table Priority, Status, NextReviewDate as "Next Review Date", DueDate as "Due Date" from "lebv.org"
	where DocType = "Task"
	sort DueDate ascending, NextReviewDate ascending
```

&emsp;

#### Review overdue

```dataview
	table NextReviewDate as "Next Review Date" from "lebv.org"
	where DocType = "Task" and NextReviewDate < date(today)
	sort NextReviewDate ascending
```

&emsp;

#### Delivery overdue

```dataview
	table DueDate as "Due Date" from "lebv.org"
	where DocType = "Task" and DueDate < date(today)
	sort DueDate ascending
```

&emsp;

#### Priority tasks

```dataview
	Table Priority, DueDate as "Due Date" from "lebv.org"
	Where DocType = "Task" and DueDate >= date(today) and Priority = "High"
	Sort DueDate ascending
```

&emsp;

---

&emsp;

### Todo list

&emsp;

**[[lebv Research Tasks|Research]]**

```tasks
not done
path includes lebv Research Tasks
sort by due
hide backlink
hide task count
```

&emsp;

**[[WebPublishing Tasks|Website]]**

```tasks
not done
path includes WebPublishing Tasks
sort by due
hide backlink
hide task count
```

&emsp;

**[[lebv Email Tasks|Email]]**

```tasks
not done
path includes lebv Email Tasks
sort by due
hide backlink
hide task count
```

&emsp;

**[[Hosting Tasks|WebHosting]]**

```tasks
not done
path includes Hosting Tasks
sort by due
hide backlink
hide task count
```

&emsp;

#### Overdue Todos

```dataview
	task from "lebv.org"
	where DocType = "Task" and DueDate < date(today)
```

&emsp;

#### Urgent Todos

```dataview
	task from "lebv.org"
	where DocType = "Task" and DueDate < date(today) + dur(3 days)
```

&emsp;

#### High priority

```dataview
	Task from "lebv.org"
	Where DocType = "Task" and Priority = "High" and DueDate >= date(today)
```

&emsp;

#### Completed To-Dos

**[[lebv Research Tasks|Research]]**

```tasks
done
path includes lebv Research Tasks
sort by due
hide backlink
hide task count
```

&emsp;

**[[WebPublishing Tasks|Website]]**

```tasks
done
path includes WebPublishing Tasks
sort by due
hide backlink
hide task count
```

&emsp;

**[[lebv Email Tasks|Email]]**

```tasks
done
path includes lebv Email Tasks
sort by due
hide backlink
hide task count
```

&emsp;

**[[Hosting Tasks|WebHosting]]**

```tasks
done
path includes Hosting Tasks
sort by due
hide backlink
hide task count
```

&emsp;
&emsp;