---

Alias: ["Hosting Infrastructure, lebv.org", "Hosting Infra, lebv.org"]
Tag: ["Family", "lebv", "Web", "Website", "Email", "WebHosting"]
Date: 2021-08-12
DocType: "Project"
Hierarchy: "Root2"
TimeStamp: 2021-08-12
location: [51.514678599999996, -0.18378583926867909]
CollapseMetaTable: Yes

---

Parent:: [[@lebv.org|lebv.org]], [[Domains]]

---

&emsp;

```button
name Save
type command
action Save current file
id Save
```
^button-lenvInfraSave

&emsp;

# Infrastructure

&emsp;

```ad-abstract
title: Summary
collapse: open
The note lays out the Infrastructure behind lebv.org from hosting to the engine behind the website.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Website

&emsp;

The Websie section is divided in two: the Hosting service, today with Hostinger, and the website publisher handling contents and layout of the website.

&emsp;

#### Hosting
The following section presents information on the webhost for lebv.org. Outstanding tasks or further improvements can be found [[Hosting Tasks|here]]

&emsp;

##### Hosting Presentation
[Hostinger](https://hostinger.fr) is the host on the server side due to:
1. their service to purchase and register the domain name
2. Competitive pricing
2. France/US presence
3. Breadth of services & associated flexibility
4. User-friendly [dashboard](https://cpanel.hostinger.fr)
5. Ability to associate webhosting & email service

&emsp;

##### Structure of the server
The server has three parts:
1. document folders 
2. A SQL database
3. A panel to control all aspect of the service: php version; SQL vs. SQL Lite, backups, SSL/https forcing, etc...

&emsp;

##### Hosting Pricing

Service | One-off Cost | Subscription p.a.
--------|:-------------:|:---------------:
_**Domain**_| &emsp; | *€27.17*
_**Hosting**_ | &emsp; | *€71.88*

&emsp;

<mark class="green">Hosting</mark> | One-off Cost | Subscription p.a.
---------------|:--------------:|:---------------:
_**Total**_ | &emsp; | *€99.05*
^HostingCost

&emsp;

#### Website publishing
The following section presents information on the publisher for lebv.org. Outstanding tasks or further enhancements can be found [[WebPublishing Tasks|here]]

##### Publishing Presentation
[Wordpress.com](https://wordpress.com) is the provider of the publishing platform for the domain. The breadth of themes available as well as plugins to handle basic requirements (member management, social spaces like forums) for free made it the prime choice.

&emsp;

##### Structure
Wordpress is a basic website publisher that allows to publish webpages and blog posts. It offers a wide array of layouts (or themes) and favours customisation through the addition of plugins developped by (often) independent developpers.

&emsp;

##### List of plugins
Below is the list of plugins currently used for delivering lebv.org.

Name | User Case | Description
------|------------|---------------
_**Ultimate Member**_ | <mark style="Background:red">Critical</mark> | Membership management: allows to lock the site from piblic viewing
_**Advanced iFrame**_ | ==Low== | Media preview manager
_**All-in-One WP Migration**_ | ==Low== | Website content migration tool
_**bbPress**_ | <mark style="Background:orange;color:black">High</mark> | Forum management
_**Better Search Replace**_ | <mark style="Background:orange;color:black">High</mark> | Backend instance search engine
_**Broken Link Checker**_ | <mark style="Background:yellow;color:black">Medium</mark> | Check website content for broken links
_**Discordance**_ | ==Low== | Publishes new activity onto a Discord server
_**Duplicate Page**_ | ==Low== | Duplicate created pages for streamlining drafting & publishing
_**GDPR Cookie Consent**_ | <mark style="Background:orange;color:black">High</mark> | Regulatory obligation
_**Genealogical Tree Pro**_ | <mark style="Background:orange;color:black">High</mark> | Genealogical Tree manager offering greatest flexibility in layout & themes within WP
_**Jetpack**_ | <mark style="Background:red">Critical</mark> | Website security & performance tool
_**LiteSpeed Cache_** | <mark style="Background:yellow;color:black">Medium</mark> | Website navigation optimisation
_**Loco Translate**_ | ==Low== | Backend translation plugin
_**PHP Compatibility Checker**_ | <mark style="Background:yellow;color:black">Medium</mark> | Ensures no conflict between php version of themes & plugins with that of website host
_**Regenerate Thumbnails**_ | ==Low== | Thumbnail management of media uploaded
_**Super Progressive Web Apps**_ | <mark style="Background:orange;color:black">High</mark> | Supports turning website into a phone app
_**SVG support**_ | ==Low== | Enables publishing of SVG comtents
_**WordFence**_ | <mark style="Background:red">Critical</mark> | Website security tool
_**WP Discord Invite**_ | ==Low== | Manages bridge to Discord server for users
_**WP Extended Search**_ | <mark style="Background:orange;color:black">High</mark> | Powerful website search engine (for Genealogy)
_**WP Staging**_ | ==Low== | Developper sandbox
_**WPForms Lite**_ | ==Low== | Enables to create & publish user forms

&emsp;

##### Publishing Pricing
As stated, Wordpress and tge majority of plugins used are free, yet find below the cost of the only paid plugin:

Plugin | One-off Cost | Subscription p.a.
--------|:-----------:|:----------------:
_**Genealogical Tree Pro**_| *€130.43* | &emsp;

<mark class="green">Publishing</mark> | One-off Cost | Subscription p.a.
---------------|:--------------:|:---------------:
_**Total**_ | *€130.43* | &emsp;
^PublishingCost

&emsp;

---

&emsp;

### Email service

&emsp;
This section touches upon the Email service associated with lebv.org. Outstanding tasks or further enhancements can be found [[lebv Email Tasks|here]]

#### Email Presentation
Hostinger provides the email service in partnership with [Titan email](https://titan.email) (ex-Flockmail) which is in the process of rebuilding an entreprise-grade email service.

&emsp;

#### Email server
The email server is located with Hostinger and can be managed through a comprehensive [dashboard](https://hpanel.hostinger.com/titan/) Hostinger allows to:
1. Email accounts management
2. Account migration management
3. IMAP/POP support
4. Domain verification for widely-used email-spam filters
5. Protection through DKIM

&emsp;

#### Email client
[Titan email](https://titan.email) (ex-Flockmail) Is the native Email client and offers a Webapp and a mobile App across both platforms. It can also lonk to any 3rd Party email client. 
Titan Email is currently being rebuilt to an enterprise-grade email service and features are continuously being added.
 
&emsp;

#### Email Pricing

At current the price for 1 mailbox is set out below but decreases with the number of users.

Service | One-off Cost | Subscription p.a.
--------|:--------------:|:---------------:
_**Mailbox**_| &emsp; | *€4.53*

&emsp;

Today, 5 users:

&emsp;

<mark class="green">Email</mark> | One-off Cost | Subscription p.a.
--------|:--------------:|:---------------:
_**Total**_| &emsp; | *€22.65*
^EmailCost

&emsp;
&emsp;